Bug 84048 - (NET TULIP) Boot hangs at eth0 initialization
(NET TULIP) Boot hangs at eth0 initialization
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-11 09:43 EST by Nicolas Aspert
Modified: 2013-07-02 22:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Aspert 2003-02-11 09:43:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021203

Description of problem:
The boot hangs at 
"Bringing up interface eth0"
This is a hardlock. Alt+SysRq stuff, although enabled does not produce
everything. The only way out is hard reboot.

Surprisingly, when an "unclean" reboot is done (i.e. involving the display of
"Your system appears to have shut down uncleanly blah..."), the reboot completes
successfully. Which implies I can use the PC every two reboots...
Starting with network disabled work OK.

Version-Release number of selected component (if applicable):
All 2.4.18-x-i686 kernels from redHat (RPM installed) and also 2.4.20 vanilla
patched with acpi+swsusp


How reproducible:
Always

Steps to Reproduce:
1. Type "reboot" in a shell


Actual Results:  the boot process hang at eth0 initialization


Expected Results:  System should go up normally. Hard rebooting makes the system
goes up normally (each time...) 


Additional info:

Kernel is 2.4.18-24.8.0-i686 (but reproducible with any older RH8.0 kernel and
with a 2.4.20+acpi+swsusp kernel)

Computer : HP Omnibook xe3-gc PIII 700MHz 256MB

Network device : Accton Technology Corporation EN-1216 Ethernet Adapter (rev 11)
PCI-id 1113:1216 (tulip.o driver)
Comment 1 Arjan van de Ven 2003-02-11 10:50:26 EST
Jeff: looks like your ballgame....
Comment 2 Trevor Cordes 2004-05-03 11:11:11 EDT
Lately, since migrating a bunch of working RH7.3 systems to FC1, I've
started seeing this same problem.  It's now happened on 3 different
machines.  Mostly they are a mix of tulip, e1000 and 8139too network
cards.

Note: these systems NEVER had this problem (for years!) under RH7.3. 
Only after a complete wipe and fresh install of minimal FC3 has this
problem started occuring.

It hangs bringing up eth0 (the external internet ISP connection)
forever and only C-A-D will get a response.

If I set eth0 ONBOOT=no, the system will come up fine and then I can
run ifup eth0 from a prompt no problem and no hangs!  Weird!
Comment 3 Bugzilla owner 2004-09-30 11:40:31 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.